Summary:	xkbcomp application - compiling XKB keyboard description
Summary(pl.UTF-8):	Aplikacja xkbcomp do kompilacji opisów klawiatury XKB
Name:		xorg-app-xkbcomp
Version:	1.4.5
Release:	2
License:	MIT
Group:		X11/Applications
Source0:	https://xorg.freedesktop.org/releases/individual/app/xkbcomp-%{version}.tar.bz2
# Source0-md5:	c45e9f7971a58b8f0faf10f6d8f298c0
URL:		https://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	xorg-lib-libX11-devel
BuildRequires:	xorg-lib-libxkbfile-devel
BuildRequires:	xorg-proto-xproto-devel >= 7.0.17
BuildRequires:	xorg-util-util-macros >= 1.8
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The xkbcomp keymap compiler converts a description of an XKB keymap
into one of several output formats. The most common use for xkbcomp is
to create a compiled keymap file (.xkm extension) which can be read
directly by XKB-capable X servers or utilities. The keymap compiler
can also produce C header files or XKB source files. The C header
files produced by xkbcomp can be included by X servers or utilities
that need a built-in default keymap.

%description -l pl.UTF-8
xkbcomp jest kompilatorem map klawiatury przekształcającym opisy map
klawiatury na jeden z kilku formatów wyjściowych. Najbardziej
powszechnym zastosowaniem xkbcomp jest tworzenie plików skompilowanych
map klawiatury (z rozszerzeniem .xkm), które można mogą być czytane
bezpośrednio przez serwery X lub narzędzia obsługujące rozszerzenie
XKB. Kompilator może także utworzyć pliki nagłówkowe C lub pliki
źródłowe XKB. Pliki nagłówkowe C mogą być włączane przez serwery X lub
narzędzia wymagające wbudowanej domyślnej mapy klawiatury.

%prep
%setup -q -n xkbcomp-%{version}

%build
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc COPYING ChangeLog README*
%attr(755,root,root) %{_bindir}/xkbcomp
%{_mandir}/man1/xkbcomp.1*
%{_pkgconfigdir}/xkbcomp.pc
%changelog
* Sat Nov 20 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/xorg-app-xkbcomp.git;a=log;h=master

* Sat Nov 20 2021 Jan Rękorajski <baggins@pld-linux.org> a212b7b
- rebuild with separate debuginfo build-ids

* Wed Mar 17 2021 Jakub Bogusz <qboosh@pld-linux.org> c9e9266
- updated to 1.4.5

* Thu Nov 05 2020 Jakub Bogusz <qboosh@pld-linux.org> 276fd13
- updated to 1.4.4

* Sun Feb 23 2020 Jakub Bogusz <qboosh@pld-linux.org> d89e3f0
- updated to 1.4.3

* Fri Jun 08 2018 Jakub Bogusz <qboosh@pld-linux.org> 46b9c1e
- updated to 1.4.2

* Thu Mar 15 2018 Jakub Bogusz <qboosh@pld-linux.org> cc33591
- updated to 1.4.1

* Sat May 13 2017 Jakub Bogusz <qboosh@pld-linux.org> 1a576c0
- updated to 1.4.0

* Thu Nov 05 2015 Jakub Bogusz <qboosh@pld-linux.org> dd13b13
- updated to 1.3.1

* Fri Mar 20 2015 Elan Ruusamäe <glen@delfi.ee> 4077547
- x32 rebuild
- release 3 (by relup.sh)

* Sat Nov 22 2014 Jan Rękorajski <baggins@pld-linux.org> 8252ead
- avoid generating deps on devel packages
- rel 2

* Fri Nov 21 2014 Jakub Bogusz <qboosh@pld-linux.org> 4988ac0
- updated to 1.3.0

* Fri Mar 23 2012 Jakub Bogusz <qboosh@pld-linux.org> 1d913ad
- updated to 1.2.4

* Wed Jun 22 2011 Jakub Bogusz <qboosh@pld-linux.org> 8cb188f
- updated to 1.2.3

* Sat Feb 12 2011 Jakub Bogusz <qboosh@pld-linux.org> 4690f7f
- updated to 1.2.1

* Sat Jan 29 2011 sparky <sparky@pld-linux.org> cd2dc87
- dropped pre-cvs changelog

* Sun Oct 31 2010 Jakub Bogusz <qboosh@pld-linux.org> 633fcff
- updated to 1.2.0

* Fri Oct 09 2009 Jakub Bogusz <qboosh@pld-linux.org> a946d42
- updated util-macros version

* Sat Oct 03 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> b7f65e8
- up to 1.1.1

* Thu Jul 09 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> d9b4b59
- up to 1.1.0

* Sat May 10 2008 Jakub Bogusz <qboosh@pld-linux.org> 9cbcb0d
- updated to 1.0.5

